httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ic...@apache.org
Subject svn commit: r1741418 - in /httpd/test/mod_h2/trunk/test: test_common.sh test_frames.sh test_fuzz.sh
Date Thu, 28 Apr 2016 12:34:26 GMT
Author: icing
Date: Thu Apr 28 12:34:25 2016
New Revision: 1741418

URL: http://svn.apache.org/viewvc?rev=1741418&view=rev
Log:
normalized frame check output a bit against latency

Modified:
    httpd/test/mod_h2/trunk/test/test_common.sh
    httpd/test/mod_h2/trunk/test/test_frames.sh
    httpd/test/mod_h2/trunk/test/test_fuzz.sh

Modified: httpd/test/mod_h2/trunk/test/test_common.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_common.sh?rev=1741418&r1=1741417&r2=1741418&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_common.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_common.sh Thu Apr 28 12:34:25 2016
@@ -549,7 +549,8 @@ mh2fuzz_check_frames() {
     mkdir -p "$(dirname $TMP/$DOC)"
     cat > $TMP/expected
     echo -n " * mh2fuzz /$DOC: $MSG..."
-    ${MH2FUZZ} -v "$@" $URL_PREFIX/$DOC > $TMP/$DOC 2>&1 || fail
+    ${MH2FUZZ} -v "$@" $URL_PREFIX/$DOC > $TMP/xxx 2>&1 || fail 
+    cat $TMP/xxx | fgrep -v "recv SETTINGS" |fgrep  -v "recv WINDOW_UPDATE" > $TMP/$DOC
     diff -u $TMP/expected $TMP/$DOC || fail
     echo ok.
 }

Modified: httpd/test/mod_h2/trunk/test/test_frames.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_frames.sh?rev=1741418&r1=1741417&r2=1741418&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_frames.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_frames.sh Thu Apr 28 12:34:25 2016
@@ -24,8 +24,6 @@ mh2fuzz_check_frames index.html "frames
 0: send SETTINGS[length=12, stream=0]
 0: send WINDOW_UPDATE[stream=0, inc=1073676288]
 0: send HEADERS[count=4, hend=1, stream=1, eos=1]
-0: recv SETTINGS[length=6, stream=0]
-0: recv WINDOW_UPDATE[stream=0, inc=2147418112]
 0: recv HEADERS[count=0, hend=1, stream=1, eos=0]
 0: recv DATA[length=2005, flags=0, stream=1, padlen=0]
 0: recv DATA[length=0, flags=1, stream=1, padlen=0]
@@ -38,8 +36,6 @@ mh2fuzz_check_frames not-there "frames G
 0: send SETTINGS[length=12, stream=0]
 0: send WINDOW_UPDATE[stream=0, inc=1073676288]
 0: send HEADERS[count=4, hend=1, stream=1, eos=1]
-0: recv SETTINGS[length=6, stream=0]
-0: recv WINDOW_UPDATE[stream=0, inc=2147418112]
 0: recv HEADERS[count=0, hend=1, stream=1, eos=0]
 0: recv DATA[length=207, flags=0, stream=1, padlen=0]
 0: recv DATA[length=0, flags=1, stream=1, padlen=0]
@@ -53,8 +49,6 @@ if min_version 2.4.19; then
 URL_PREFIX="$HTTPS_URL"
 mh2fuzz_check_frames index.html "frames GET $URL_PREFIX" -f submit-delay100 <<EOF
 ALPN: selected h2
-0: recv SETTINGS[length=6, stream=0]
-0: recv WINDOW_UPDATE[stream=0, inc=2147418112]
 0: send SETTINGS[length=12, stream=0]
 0: send WINDOW_UPDATE[stream=0, inc=1073676288]
 0: send HEADERS[count=4, hend=1, stream=1, eos=1]
@@ -68,8 +62,6 @@ EOF
 
 mh2fuzz_check_frames not-there "frames GET $URL_PREFIX" -f submit-delay100 <<EOF
 ALPN: selected h2
-0: recv SETTINGS[length=6, stream=0]
-0: recv WINDOW_UPDATE[stream=0, inc=2147418112]
 0: send SETTINGS[length=12, stream=0]
 0: send WINDOW_UPDATE[stream=0, inc=1073676288]
 0: send HEADERS[count=4, hend=1, stream=1, eos=1]

Modified: httpd/test/mod_h2/trunk/test/test_fuzz.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_fuzz.sh?rev=1741418&r1=1741417&r2=1741418&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_fuzz.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_fuzz.sh Thu Apr 28 12:34:25 2016
@@ -79,7 +79,7 @@ fuzz-delay() {
 }
 
 echo "test frames sent/recv on GETs"
-$SHELL "$TEST_DIR"/test_frames.sh      $HTTP_AUTH  $HTTPS_AUTH      || fail
+$SHELL "$TEST_DIR"/test_frames.sh      $HTTP_AUTH  $HTTPS_AUTH      || fail
 
 if min_version 2.4.19; then
 



Mime
View raw message